#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef vector<int> vi;
typedef vector<vi> vvi;
typedef vector<long long> vll;
typedef vector<vll> vvll;
typedef pair<int, int> ii;
typedef vector<ii> vii;

std::vector<int> solve(std::vector<int> A) {
    int n = A.size();
    vi a;
    a.push_back(n-1);
    for (int i = n-2;i>=0;--i) {
        a.push_back(i);
    }

    return a;
}